From: Stefan Sperling <stsp@apache.org>
Date: Tue, 9 Feb 2021 11:59:13 +0000
Subject: Python 3 compatibility: Update a raise statement probably missed in
 revision 873411 changes.
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

* tools/hook-scripts/svnperms.py
  (Permission.parse_groups): Use 'raise exception("string")' instead of
  'raise exception, "string"'.

Patch by: From: Daniel Roßberg (danielmrossberg {AT} gmail dot com)

git-svn-id: https://svn.apache.org/repos/asf/subversion/trunk@1886358 13f79535-47bb-0310-9956-ffa450edef68
Signed-off-by: James McCoy <jamessan@debian.org>
---
 tools/hook-scripts/svnperms.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/tools/hook-scripts/svnperms.py b/tools/hook-scripts/svnperms.py
index 7655ca5..73153af 100755
--- a/tools/hook-scripts/svnperms.py
+++ b/tools/hook-scripts/svnperms.py
@@ -137,7 +137,8 @@ class Permission:
                     try:
                         groupusers.extend(self._group[token[1:]])
                     except KeyError:
-                        raise Error, "group '%s' not found" % token[1:]
+                        raise Error("group '%s' not found" % \
+                                     token[1:])
                 else:
                     groupusers.append(token)
             self._group[option] = groupusers
